## groovy.swing.factory
Class BevelBorderFactory

accepts no value accepts attributes:
none
highlight: java.awt.Color, shadow: java.awt.Color
highlightOuter: java.awt.Color, highlightInner: java.awt.Color, shadowOuter: java.awt.Color, shadowInner: java.awt.Color

Field Summary
`int` | `type`

Constructor Summary
`BevelBorderFactory(int newType)`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Constructor Detail

### BevelBorderFactory

    public BevelBorderFactory(int newType)

Method Detail

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)